+++ /dev/null
-# ChangeLog for games-puzzle/londonlaw
-# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/games-puzzle/londonlaw/ChangeLog,v 1.18 2010/04/19 18:42:36 tupone Exp $
-
- 19 Apr 2010; Tupone Alfredo <tupone@gentoo.org> londonlaw-0.2.1-r2.ebuild:
- Force python2 . Fix bug #312269 by arfrever@gentoo.org
-
- 20 May 2009; nixnut <nixnut@gentoo.org> londonlaw-0.2.1-r2.ebuild:
- ppc stable #265236
-
- 18 Apr 2009; Markus Meier <maekke@gentoo.org> londonlaw-0.2.1-r2:
- amd64/x86 stable, bug #265236
-
- 25 Aug 2008; Michael Sterrett <mr_bones_@gentoo.org> files/londonlaw.rc,
- londonlaw-0.2.1-r2.ebuild:
- additional patching for USE=dedicated from mattenklicker@gmx.net
-
-*londonlaw-0.2.1-r2 (24 Aug 2008)
-
- 24 Aug 2008; Michael Sterrett <mr_bones_@gentoo.org>
- +files/londonlaw.confd, +files/londonlaw.rc, +londonlaw-0.2.1-r2.ebuild:
- dedicated support and sed patch from mattenklicker@gmx.net via bug #235326
-
- 25 Jun 2008; nixnut <nixnut@gentoo.org> londonlaw-0.2.1-r1.ebuild:
- Stable on ppc wrt bug 229307
-
- 25 Jun 2008; Kenneth Prugh <ken69267@gentoo.org>
- londonlaw-0.2.1-r1.ebuild:
- amd64 stable, bug #229307
-
- 25 Jun 2008; Christian Faulhammer <opfer@gentoo.org>
- londonlaw-0.2.1-r1.ebuild:
- stable x86, bug 229307
-
- 07 Jan 2008; Ryan Hill <dirtyepic@gentoo.org>
- files/londonlaw-0.2.1-wxversion.patch:
- Fix ugly patch header that's probably causing bug #204678.
-
-*londonlaw-0.2.1-r1 (05 Jan 2008)
-
- 05 Jan 2008; Ryan Hill <dirtyepic@gentoo.org>
- +files/londonlaw-0.2.1-wxversion.patch, +londonlaw-0.2.1-r1.ebuild:
- Add patch to force wxpython 2.6 at runtime to prevent errors with multiple
- version installs. (Bug #204347)
-
- 02 Oct 2007; Ryan Hill <dirtyepic@gentoo.org> londonlaw-0.2.1.ebuild:
- Lock wxpython to 2.6.
-
- 12 Mar 2007; Marius Mauch <genone@gentoo.org> londonlaw-0.2.1.ebuild:
- Replacing einfo with elog
-
- 22 Feb 2007; Piotr JaroszyĆski <peper@gentoo.org> ChangeLog:
- Transition to Manifest2.
-
-*londonlaw-0.2.1 (25 Feb 2006)
-
- 25 Feb 2006; Michael Sterrett <mr_bones_@gentoo.org>
- +files/londonlaw-0.2.1-setup.py.patch, +londonlaw-0.2.1.ebuild:
- version bump
-
- 24 Aug 2005; Chris Gianelloni <wolf31o2@gentoo.org>
- londonlaw-0.2.0.ebuild:
- Add inherit eutils.
-
- 26 Jun 2005; Simon Stelling <blubb@gentoo.org> londonlaw-0.2.0.ebuild:
- added ~amd64 keyword
-
- 10 Jun 2005; David Holm <dholm@gentoo.org> londonlaw-0.2.0.ebuild:
- Added to ~ppc.
-
-*londonlaw-0.2.0 (10 Apr 2005)
-
- 10 Apr 2005; Michael Sterrett <mr_bones_@gentoo.org>
- +files/londonlaw-0.2.0-setup.py.patch, +metadata.xml,
- +londonlaw-0.2.0.ebuild:
- initial commit - ebuild and patch from Christoph Brill (egore) via bug #82580
-
+++ /dev/null
-AUX londonlaw-0.2.1-setup.py.patch 1528 RMD160 4d59b71a4414d34aa7b16a75b34528ad2754e173 SHA1 60beee67b982007c9ada3df857db7325f51fb7ef SHA256 a1db2a03caaeee25a7df02ed95a93de722cdde3550179fae0e1c68bcab3256b1
-AUX londonlaw-0.2.1-wxversion.patch 639 RMD160 7b2ea38340b1ac527b1bbaac06e2bf7a543b2f7f SHA1 0cc60a78121b250b10ee2763bef90858ea6510a0 SHA256 f5e9b1f8be713443e506b678a262f8dab1044e85a90a66e4ce4f0a092ffbcc10
-AUX londonlaw.confd 60 RMD160 6d230b5a42f264c17f5190aff9ab59a9f25899c6 SHA1 a39653106438fb3794313d9a3cf3def226f9828d SHA256 c849dc072ada1f84619754111401ddeaf391aee9c891d531bcc02fc9fcf201c7
-AUX londonlaw.rc 498 RMD160 d85ca5c3438904dfe1f15b000a155abe34289753 SHA1 cd414c00776f2440b2f8d667af46d3159b122799 SHA256 cc132dfe41eb7cf17ade769de975d3dd5c52f1c580abcd3a3af09f76567762e9
-DIST londonlaw-0.2.1.tar.gz 3139208 RMD160 20a32d4b527b220a0ae0e261c5f84dd5563db7b2 SHA1 e38b536d6966c460edd7211c09601a63ee64c1c7 SHA256 e7453f2e261315384d991ecde31de16e0024fc5f14bacd4642e1daf5d9a4eb87
-EBUILD londonlaw-0.2.1-r2.ebuild 2591 RMD160 9dce6c64825eb2937180452a446730ad366c4066 SHA1 4fd8f7572785996552f25656f3d75bf9c768214c SHA256 4e741569552390633112cc48123bfd982579d8556b60b81ae1b571223b30c13b
-MISC ChangeLog 2693 RMD160 e090caa84e5ca688bc18a5e28e7f18fe6c4f1c08 SHA1 fc42d642b1467e1f10ba89b07f2aa6855a789e82 SHA256 021f0e3af62d055da7ac93ab917bee82320de36c9fd8a754ee8cc495ac9307fe
-MISC metadata.xml 158 RMD160 cbd9984bb6b426c8c9cee5022fe0a26261612fea SHA1 be5251fa1dacef5c41b74761bb1c8c54fb633b9e SHA256 1423a4fdd4a79b1728a2056d9e300f7e1074253095d82726218d9e9b953888a3
+++ /dev/null
---- setup.py 2005-02-18 04:51:06.000000000 +0100
-+++ setup.py.1 2005-02-20 22:51:31.687411720 +0100
-@@ -10,20 +10,14 @@
- # Read off the PREFIX value, so we can tell jools where to find its
- # data files (FIXME: is there a clean way to handle this through distutils?
- if 'sdist' not in sys.argv and 'clean' not in sys.argv:
-- PREFIX=os.path.normpath(sys.prefix) # default
-+ DATA_PREFIX="" # default
- for arg in sys.argv:
-- index = string.find(arg, "--prefix=")
-+ index = string.find(arg, "--install-data=")
- if index > -1:
-- PREFIX = os.path.normpath(arg[(index+len("--prefix=")):])
--
-- ROOT = "/" # default
-- for arg in sys.argv:
-- index = string.find(arg, "--root=")
-- if index > -1:
-- ROOT = os.path.normpath(arg[(index+len("--root=")):])
-+ DATA_PREFIX = os.path.normpath(arg[(index+len("--install-data=")):])
-
- config = open("londonlaw/common/config.py", "w")
-- config.write("MEDIAROOT = \"" + os.path.join(PREFIX,"share/londonlaw/guiclient") + "\"\n")
-+ config.write("MEDIAROOT = \"" + os.path.join(DATA_PREFIX,"londonlaw/guiclient") + "\"\n")
- config.close()
-
-
-@@ -37,7 +31,8 @@
- if os.path.isfile(fullFile):
- newFiles.append(fullFile)
- if newFiles != []:
-- installList.append( (os.path.join('share', dirname), newFiles) )
-+# installList.append( (os.path.join('share', dirname), newFiles) )
-+ installList.append( (dirname, newFiles) )
-
-
- # Get all data files by walking through the proper directory trees
+++ /dev/null
-diff -Naur londonlaw-0.2.1-orig/londonlaw/guiclient/__init__.py londonlaw-0.2.1/londonlaw/guiclient/__init__.py
---- londonlaw-0.2.1-orig/londonlaw/guiclient/__init__.py 2005-07-05 18:45:05.000000000 -0600
-+++ londonlaw-0.2.1/londonlaw/guiclient/__init__.py 2008-01-07 17:15:06.000000000 -0600
-@@ -23,6 +23,12 @@
-
- from twisted.internet import protocol, reactor
- from twisted.python import log
-+try:
-+ import wxversion
-+ wxversion.select("2.6")
-+except Exception, e:
-+ print >> sys.stderr, "%s: wxPython 2.6 not installed." %e
-+ sys.exit(1)
- from wxPython.wx import *
- from ConnectWindow import *
- from GameListWindow import *
+++ /dev/null
-#run londonlaw on port 7921 (default)
-LONDONLAW_PORT="7921"
+++ /dev/null
-#!/sbin/runscript
-
-depend() {
- need net
-}
-
-start() {
- ebegin "Starting londonlaw server"
- start-stop-daemon --start --pidfile /var/run/london-server.pid \
- --user GAMES_USER_DED --background --stdout GAMES_LOGDIR/PN.log \
- --stderr GAMES_LOGDIR/PN.log --make-pidfile \
- --exec GAMES_BINDIR/london-server -- -p $LONDONLAW_PORT
- eend $?
-}
-
-stop() {
- ebegin "Stopping londonlaw server"
- start-stop-daemon --stop --pidfile /var/run/london-server.pid \
- --exec GAMES_BINDIR/london-server
- eend $?
-}
+++ /dev/null
-# Copyright 1999-2010 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/games-puzzle/londonlaw/londonlaw-0.2.1-r2.ebuild,v 1.5 2010/04/19 18:42:36 tupone Exp $
-PYTHON_DEPEND="2"
-
-EAPI=2
-inherit eutils python games
-
-DESCRIPTION="Clone of the famous Scotland Yard board game"
-HOMEPAGE="http://pessimization.com/software/londonlaw/"
-SRC_URI="http://pessimization.com/software/londonlaw/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64 ppc x86"
-IUSE="dedicated"
-
-DEPEND="!dedicated? ( dev-python/wxpython:2.6 )
- dev-python/twisted"
-
-src_prepare() {
- epatch \
- "${FILESDIR}"/${P}-setup.py.patch \
- "${FILESDIR}"/${P}-wxversion.patch
- if has_version '>=dev-python/twisted-2.3' ; then
- sed -i \
- -e 's:import log:import log\nfrom zope import interface\n:' \
- -e 's:class IGameListener(components.Interface):class IGameListener(interface.Interface):' \
- londonlaw/server/Game.py \
- || die "sed failed"
- fi
-
- if use dedicated ; then
- local f
- rm -r londonlaw/{london-client,london-client.py,guiclient/}
- sed -i \
- -e "s:'londonlaw.guiclient'::" \
- -e "s:'londonlaw/london-client'::" \
- setup.py \
- || die "sed failed"
- for f in londonlaw.rc londonlaw.confd
- do
- sed \
- -e "s/GAMES_USER_DED/${GAMES_USER_DED}/" \
- -e "s:GAMES_BINDIR:${GAMES_BINDIR}:" \
- -e "s:GAMES_LOGDIR:${GAMES_LOGDIR}:" \
- -e "s:PN:${PN}:" \
- "${FILESDIR}/${f}" > "${T}/${f}" \
- || die "sed failed"
- done
- sed -i \
- -e "/serverdata/ s:\"$:\"\n dbDir = \"${GAMES_STATEDIR}/${PN}\":" \
- londonlaw/server/GameRegistry.py \
- || die "sed failed"
- fi
- python_convert_shebangs -r 2 .
-}
-
-src_install() {
- $(PYTHON) setup.py install \
- --root="${D}" \
- --prefix="${GAMES_PREFIX}" \
- --install-lib=$(python_get_sitedir) \
- --install-data="${GAMES_DATADIR}" \
- || die "install failed"
- dodoc ChangeLog README doc/TODO doc/manual.tex doc/readme.protocol
-
- if use dedicated ; then
- newinitd "${T}/londonlaw.rc" londonlaw
- newconfd "${T}/londonlaw.confd" londonlaw
- keepdir "${GAMES_STATEDIR}/${PN}"
- dodir "${GAMES_LOGDIR}"
- touch "${D}/${GAMES_LOGDIR}"/${PN}.log
- fowners ${GAMES_USER_DED}:${GAMES_GROUP} \
- "${GAMES_STATEDIR}/${PN}" "${GAMES_LOGDIR}"/${PN}.log
- fi
-
- prepgamesdirs
-}
-
-pkg_setup() {
- python_set_active_version 2
- games_pkg_setup
-}
-
-pkg_postinst() {
- games_pkg_postinst
- if ! use dedicated ; then
- echo
- elog "To play, first start the server (london-server), then connect"
- elog "with the client (london-client). At least two players are"
- elog "needed to play."
- echo
- fi
-}
+++ /dev/null
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
-<herd>games</herd>
-</pkgmetadata>